## Apache Zeta Components Manual :: Docs For Class ezcGraphRadarChartOptions

### Graph::ezcGraphRadarChartOptions

### Class ezcGraphRadarChartOptions

Class containing the basic options for radar charts.

1. $wikidata=include'tutorial_wikipedia_data.php';
3. $graph=new ezcGraphRadarChart ();
4. $graph->title='Wikipedia articles';
6. $graph->options->fillLines=220;
8. // Add data
9. foreach($wikidataas$language=>$data)
10. {
11. $graph->data[$language]=new ezcGraphArrayDataSet ($data);
12. $graph->data[$language][]=reset ($data);
13. }
15. $graph->render(400,150,'tutorial_radar_chart.svg');

Source for this file: /Graph/src/options/radar_chart.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions
          |
          --ezcGraphRadarChartOptions

Version: | //autogentag//

### Properties

mixed

read/write

`$fillLines`
Status wheather the space between line and axis should get filled.

- FALSE to not fill the space at all.
- (int) Opacity used to fill up the space with the lines color.

ezcGraphFontOptions | read/write | `$highlightFont` Font configuration for highlight tests
bool | read/write | `$highlightRadars` If true, it adds lines to highlight the values position on the axis.
int | read/write | `$highlightSize` Size of highlight blocks
float | read/write | `$lineThickness` Theickness of chart lines
int | read/write | `$symbolSize` Size of symbols in line chart.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__set( $propertyName , $propertyValue )` Set an option value

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __set

void __set( string $propertyName , mixed $propertyValue )

Set an option value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |
`$propertyValue` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a property is not defined in this class

Documentation generated by phpDocumentor 1.4.3